package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Imfinv;
import com.brilliance.isc.common.invchk.vo.InvselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ImfinvMapper {

    Imfinv selectByInvcodInvnumRegsta(@Param("invcod") String invcod, @Param("invnum") String invnum, @Param("regsta") String regsta, @Param("optbranch") String optbranch);

    Imfinv selectByInvcodInvnum(@Param("invcod") String invcod, @Param("invnum") String invnum, @Param("optbranch") String optbranch);

    List<Imfinv> getInvRegList(InvselQueryVo invselQueryVo);

    int updateByPrimaryKey(Imfinv record);

    int insert(Imfinv record);

    List<Imfinv> selectByRegsmhinr(String regsmhinr);

    List<Imfinv> getInvList(InvselQueryVo invselQueryVo);

    List<Imfinv> getInvlistBySmhInr(@Param("smhinr") String smhinr);
}
